<?php
namespace app\index\model;
use think\Model;
/**
 * 题库选项
 *
 * @author wj
 * @date 2025-07-24
 */
class questionbankoptionsmodel extends Model {
    protected $table = 't_question_bank_options';

    public function getoptionsbyseqbid($qbid) {
        $list = $this->where(['seqb_id' => $qbid])->order("id asc")->select();
        return $list;
    }
    public function getinfobyid($id) {
        $where_arr['id'] = $id;
        $rec = $this->where($where_arr)->find();
        return $rec;
    }

    public function getinfobywhere($qbid, $id) {
        $where_arr['id'] = $id;
        $where_arr['seqb_id'] = $qbid;
        $rec = $this->where($where_arr)->find();
        return $rec;
    }
}